> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all forked collections

GET https://api.getpostman.com/collections/collection-forks

Gets a list of all the authenticated user's forked collections.

Reference: https://learning.postman.com/api-docs/api-reference/collections/get-collections-forked-by-user

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /collections/collection-forks:
    get:
      operationId: getCollectionsForkedByUser
      summary: Get all forked collections
      description: Gets a list of all the authenticated user's forked collections.
      tags:
        - collections
      parameters:
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: limit
          in: query
          description: The maximum number of rows to return in the response.
          required: false
          schema:
            $ref: '#/components/schemas/limit'
            default: 10
        - name: direction
          in: query
          description: >-
            Sort the results by creation date in ascending (`asc`) or descending
            (`desc`) order.
          required: false
          schema:
            $ref: '#/components/schemas/ascDesc'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getCollectionsForkedByUser'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/fork400ErrorNoUserFound'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCollectionsForkedByUserRequestUnauthorizedError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCollectionsForkedByUserRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    cursor:
      type: string
      title: cursor
    limit:
      type: integer
      default: 10
      title: limit
    ascDesc:
      type: string
      enum:
        - asc
        - desc
      title: ascDesc
    GetCollectionsForkedByUserDataItems:
      type: object
      properties:
        forkName:
          type: string
          description: The forked collection's label.
        forkId:
          type: string
          format: uid
          description: The forked collection's ID.
        sourceId:
          type: string
          description: The ID of the forked collection's source collection.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the fork was created.
      description: Information about the forked collection.
      title: GetCollectionsForkedByUserDataItems
    GetCollectionsForkedByUserMeta:
      type: object
      properties:
        total:
          type: number
          format: double
          description: The total number of forked collections.
        nextCursor:
          type:
            - string
            - 'null'
          format: base64
          description: >-
            The pagination cursor that points to the next record in the results
            set.
        inaccessibleFork:
          type: number
          format: double
          description: The total number of forked collections that the user cannot access.
      description: The response's meta information for paginated results.
      title: GetCollectionsForkedByUserMeta
    getCollectionsForkedByUser:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetCollectionsForkedByUserDataItems'
          description: A list of the user's forked collections.
        meta:
          $ref: '#/components/schemas/GetCollectionsForkedByUserMeta'
          description: The response's meta information for paginated results.
      title: getCollectionsForkedByUser
    Fork400ErrorNoUserFoundError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      title: Fork400ErrorNoUserFoundError
    fork400ErrorNoUserFound:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Fork400ErrorNoUserFoundError'
      title: fork400ErrorNoUserFound
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetCollectionsForkedByUserRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionsForkedByUserRequestUnauthorizedError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetCollectionsForkedByUserRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionsForkedByUserRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "data": [
    {
      "forkName": "Collection Fork",
      "forkId": "12345678-667df1ad-2ee3-7890-b678-7742d82e2e1f",
      "sourceId": "87654321-bd46b634-b347-44d4-aa23-8c71ff4ecc4d",
      "createdAt": "2023-11-16T09:18:17.000Z"
    },
    {
      "forkName": "Test Fork",
      "forkId": "12345678-38j9f1ad-2ee3-7890-dv5h-7742d82e2e1f",
      "sourceId": "87654321-bd46b634-b347-44d4-aa23-8c71ff4ecc4d",
      "createdAt": "2023-11-16T09:16:15.000Z"
    }
  ],
  "meta": {
    "total": 2,
    "nextCursor": null,
    "inaccessibleFork": 0
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/collections/collection-forks"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/collections/collection-forks';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collections/collection-forks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collections/collection-forks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/collections/collection-forks")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/collections/collection-forks', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collections/collection-forks");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collections/collection-forks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```